Tuesday, April 22, 2014

Doxverilog has been updated


Since my previous post on using Doxverilog, there have been a number of updates. Here's an updated installation guide for version 2.8 (patches version 1.8.5 of Doxygen). It has been tested on RHEL 5.7, using SVN version revision 85. The ZIP file found on BerliOS seems corrupt (at time of writing), so use SVN as shown below.

svn checkout svn://svn.berlios.de/doxverilog/trunk
wget ftp://ftp.stack.nl/pub/users/dimitri/doxygen-1.8.5.src.tar.gz
gtar zxf doxygen-1.8.5.src.tar.gz
cp trunk/doxverilog/Doxverilog2.8/sources/* doxygen-1.8.5/src
cp trunk/doxverilog/Doxverilog2.8/verilog.patch doxygen-1.8.5
cd doxygen-1.8.5
patch -p1 < verilog.patch
./configure
make all |& tee ../make.log

Again, the above is tested on RHEL 5.7. If you run into issues on Ubuntu 14.04, check this.

6 comments:

suchin ravi said...

Hi , Thanks for the brief steps. I'm running Ubuntu. I encounter the following problem . Any pointers would be greatly appreciated.

The patch und ./configure runs without an errors, but the build process (make) failed with:

vhdlparser.cpp:8156:121: error: cannot pass objects of non-trivially-copyable type ‘class QCString’ through ‘...’

vhdlparser.cpp:8156:121: warning: format ‘%s’ expects argument of type ‘char*’, but argument 5 has type ‘QCString’ [-Wformat]

Simon said...

Hi Suchin. Have you checked your versions of bison and flex against the requirements in the README? Which versions do you have installed? Also, which revision did SVN populate?

Tomasz Kotula said...

Hi Simon. I just followed your steps on a freshly installed Ubuntu14.04 but sadly I too encountered the same problem as Suchin. I have the required bison and flex versions (2:3.0.2 and 2.5.35-10). SVN version was 85.

Any help will be greatly appreciated.

Simon said...

Hi Tomasz, that's better info thanks. I don't have Ubuntu readily available, I might try a VirtualBox install. The installation above is verified under RedHat EL5. What you might try is install the specific (older) versions of bison and flex, and have configure point to them; since it's an issue in the generated parser C file, my first guess would be the generator. Have you mentioned this on the DoxVerilog site already? I'll see if I can reproduce when I get the time.

Simon said...

Found the problem, see new post.

Unknown said...

Hi,

I tried patching doxverilog to doxygen and I am facing some errors while running the command: patch -F3 -p0 < linux.patch

-------------------------------------------------------------------------------------------
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: util.cpp
|===================================================================
|--- util.cpp (Revision 818)
|+++ util.cpp (Arbeitskopie)
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
3 out of 3 hunks ignored
can't find file to patch at input line 52
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: doxygen_css.h
|===================================================================
|--- doxygen_css.h (Revision 818)
|+++ doxygen_css.h (Arbeitskopie)
----------------------------------------------------------------------------------------

I have just copied a part of the messages which I am seeing while running the command.
Please help.